package com.goafanti.common.model;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;


/**
 * 用户名片表(AdminBusinessCard)实体类
 *
 * @author makejava
 * @since 2025-06-27 15:10:05
 */
public class AdminBusinessCard implements Serializable {
    private static final long serialVersionUID = 145518401317693724L;

    private Integer id;
    /**
     * 卡片编号
     */
    private String aid;
    /**
     * 名称
     */
    private String name;
    /**
     * 职位
     */
    private String position;
    /**
     * 公司名称
     */
    private String company;
    /**
     * 电话
     */
    private String phone;
    /**
     * 座机
     */
    private String landLine;
    /**
     * 邮箱
     */
    private String email;
    /**
     * 地区
     */
    private String area;
    /**
     * 个人简介
     */
    private String content;
    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getAid() {
        return aid;
    }

    public void setAid(String aid) {
        this.aid = aid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPosition() {
        return position;
    }

    public void setPosition(String position) {
        this.position = position;
    }

    public String getCompany() {
        return company;
    }

    public void setCompany(String company) {
        this.company = company;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getLandLine() {
        return landLine;
    }

    public void setLandLine(String landLine) {
        this.landLine = landLine;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

}

